FreeMat

- Main Page
- Related Pages

vtkImageMedian3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageMedian3D a Median filter that replaces each pixel with the median value from a rectangular neighborhood around that pixel. Neighborhoods can be no more than 3 dimensional. Setting one axis of the neighborhood kernelSize to 1 changes the filter into a 2D median.

To create an instance of class vtkImageMedian3D, simply invoke its constructor as follows

      obj = vtkImageMedian3D

# Methods

The class vtkImageMedian3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageMedian3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageMedian3D = obj.NewInstance ()`
- `vtkImageMedian3D = obj.SafeDownCast (vtkObject o)`
- `obj.SetKernelSize (int size0, int size1, int size2)` - This method sets the size of the neighborhood. It also sets the default middle of the neighborhood
- `int = obj.GetNumberOfElements ()` - Return the number of elements in the median mask